<?php

/**
 * Recommended plugins
 * @category Functions
 * @author Krik
 * @see tgmpluginactivation.com
 */

require_once $root . '/vendor/krikstudio/wpkrik/plugins/recommended-plugins.php';

add_action('tgmpa_register', 'krik_recommended_plugins');

function krik_recommended_plugins()
{
	$plugins = array(
		array(
			'name' => 'The SEO Framework',
			'slug' => 'autodescription',
			'required' => false,
		),
		array(
			'name' => 'WP Rocket',
			'slug' => 'wp-rocket',
			'source' => 'http://composer.krikstudio.com/wp-rocket-v2.11.4.zip',
			'required' => false,
		),
		array(
			'name' => 'iThemes Security Pro',
			'slug' => 'ithemes-security-pro',
			'source' => 'http://composer.krikstudio.com/ithemes-security-pro-v4.7.3.zip',
			'required' => false
		)
	);
	$config = array(
		'id' => 'krik',
		'menu' => 'krik-recommended-plugins',
		'parent_slug' => 'plugins.php',
		'has_notices' => true,
		'dismissable' => true,
		'is_automatic' => true,
		'strings' => array(
			'page_title' => __('Recommended Plugins', 'krik'),
			'menu_title' => __('Recommended', 'krik')
		)
	);
	tgmpa($plugins, $config);
}
